<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_67) on Tue Oct 14 13:30:14 CEST 2014 -->
<title>Document</title>
<meta name="date" content="2014-10-14">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Document";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Document.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.OARSubParams.html" title="class in fr.inria.alpage.frmgcm.corpus"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.DocumentRevision.html" title="class in fr.inria.alpage.frmgcm.corpus"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/corpus/Document.html" target="_top">Frames</a></li>
<li><a href="Document.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_class_summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">fr.inria.alpage.frmgcm.corpus</div>
<h2 title="Class Document" class="title">Class Document</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>fr.inria.alpage.frmgcm.corpus.Document</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">Document</span>
extends java.lang.Object</pre>
<div class="block">This class handle a file source contained in a corpus and reflects its counter part in mongodb, it also provides method associated with the document object</div>
<dl><dt><span class="strong">Author:</span></dt>
  <dd>buiquang</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.DocumentRevision.html" title="class in fr.inria.alpage.frmgcm.corpus">Document.DocumentRevision</a></strong></code>
<div class="block">This class is used to store revision information of a document, in particular changes in graph revisions</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.MapReduceIndexFiles.html" title="class in fr.inria.alpage.frmgcm.corpus">Document.MapReduceIndexFiles</a></strong></code>
<div class="block">Callback used to index sentence found in the syntactic analysis process result folder corresponding to this document</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.SentenceInfo.html" title="class in fr.inria.alpage.frmgcm.corpus">Document.SentenceInfo</a></strong></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>com.mongodb.BasicDBObject</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#dbObject">dbObject</a></strong></code>
<div class="block">The reflection of the mongo db object document</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.DocumentRevision.html" title="class in fr.inria.alpage.frmgcm.corpus">Document.DocumentRevision</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#docRevision">docRevision</a></strong></code>
<div class="block">The associated <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.DocumentRevision.html" title="class in fr.inria.alpage.frmgcm.corpus"><code>Document.DocumentRevision</code></a> that contain information about change made to the sentences of this document</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#filerelativepath">filerelativepath</a></strong></code>
<div class="block">The relative file path of the document within the valid converted document folder of the corpus</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#processedFilename">processedFilename</a></strong></code>
<div class="block">The normalized name of the file source</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.SentenceInfo.html" title="class in fr.inria.alpage.frmgcm.corpus">Document.SentenceInfo</a>[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#sentencesLog">sentencesLog</a></strong></code>
<div class="block">The sentences info result of the default syntactic analysis process</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#Document()">Document</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#CreateNew(java.lang.String,%20java.lang.String,%20java.lang.String)">CreateNew</a></strong>(java.lang.String&nbsp;filename,
         java.lang.String&nbsp;path,
         java.lang.String&nbsp;cid)</code>
<div class="block">Factory, create a document object from a file source, the base root of the corpus files and the mongo id of the corpus, and save it in mongo db</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#createSentenceInfo(java.lang.String,%20int)">createSentenceInfo</a></strong>(java.lang.String&nbsp;line,
                  int&nbsp;status)</code>
<div class="block">Create a sentence summary info</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#delete()">delete</a></strong>()</code>
<div class="block">delete this document alongside with revisions and elasticsearch index</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#deleteIndex()">deleteIndex</a></strong>()</code>
<div class="block">Delete from the elasticsearch index the sentences of this document</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#getAnnotatedDoc()">getAnnotatedDoc</a></strong>()</code>
<div class="block">Get the annotated document (the html containing the original text aligned with sentences parses)</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#getAnnotatedDocByte()">getAnnotatedDocByte</a></strong>()</code>
<div class="block">(Obsolete) Get the annotated document (the html containing the original text aligned with sentences parses)</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#getCorpusOwner()">getCorpusOwner</a></strong>()</code>
<div class="block">Get the mongo id of the corpus that own this document</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#getDagAlignFilepath(java.lang.String)">getDagAlignFilepath</a></strong>(java.lang.String&nbsp;filename)</code>
<div class="block">Get the dag file corresponding to the document file source</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#getFilerelativepath()">getFilerelativepath</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.Object[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#getGraphFileInfo(java.lang.String)">getGraphFileInfo</a></strong>(java.lang.String&nbsp;sid)</code>
<div class="block">Retrieve information about a graph</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.Object[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#getGraphFileInfo(java.lang.String,%20java.lang.String)">getGraphFileInfo</a></strong>(java.lang.String&nbsp;sid,
                java.lang.String&nbsp;vid)</code>
<div class="block">Retrieve information about a graph</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#getGraphFragment(java.lang.String,%20java.lang.String,%20com.mongodb.BasicDBList)">getGraphFragment</a></strong>(java.lang.String&nbsp;ts,
                java.lang.String&nbsp;te,
                com.mongodb.BasicDBList&nbsp;slist)</code>
<div class="block">Get a graph fragment (currently only works for conll and depconll formats!)</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#getId()">getId</a></strong>()</code>
<div class="block">Retrieve the mongo id of this document</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#getProcessedFilename()">getProcessedFilename</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>com.mongodb.BasicDBList</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#getRevisions()">getRevisions</a></strong>()</code>
<div class="block">Retrieve the ordered list of this document revisions (from most recent to oldest)</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">AbstractGraph</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#getSentence(java.lang.String)">getSentence</a></strong>(java.lang.String&nbsp;gid)</code>
<div class="block">Retrieve a formatted graph from a graph(sentence) id</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">AbstractGraph</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#getSentence(java.lang.String,%20java.lang.String)">getSentence</a></strong>(java.lang.String&nbsp;gid,
           java.lang.String&nbsp;vid)</code>
<div class="block">Retrieve a formatted graph from a sentence id and revision number</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#getSentencesCount()">getSentencesCount</a></strong>()</code>
<div class="block">Retrieve the number of sentences within this document</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.SentenceInfo.html" title="class in fr.inria.alpage.frmgcm.corpus">Document.SentenceInfo</a>[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#getSentencesLog()">getSentencesLog</a></strong>()</code>
<div class="block">Retrieve the status list of parsed sentences</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#getSID(java.lang.String)">getSID</a></strong>(java.lang.String&nbsp;line)</code>
<div class="block">Retrieve the sid of a sentence when parsing an info.txt result file line</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#indexSentences()">indexSentences</a></strong>()</code>
<div class="block">Index the sentences of this document</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#Retrieve(java.lang.String)">Retrieve</a></strong>(java.lang.String&nbsp;id)</code>
<div class="block">Retrieve a document from its id</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#save()">save</a></strong>()</code>
<div class="block">Save modification made to the document in db</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#saveRevision(java.lang.String,%20java.lang.String,%20java.lang.String)">saveRevision</a></strong>(java.lang.String&nbsp;title,
            java.lang.String&nbsp;description,
            java.lang.String&nbsp;user)</code>
<div class="block">Manual creation of a document revision by the user (every graph modification create an automatic revision)</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#updateSentence(java.lang.String,%20java.lang.String,%20java.lang.String)">updateSentence</a></strong>(java.lang.String&nbsp;sid,
              java.lang.String&nbsp;data,
              java.lang.String&nbsp;user_name)</code>
<div class="block">Update a graph with new data</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#writeOffset(int,%20java.lang.StringBuilder,%20java.io.BufferedWriter,%20java.io.BufferedReader)">writeOffset</a></strong>(int&nbsp;length,
           java.lang.StringBuilder&nbsp;doc,
           java.io.BufferedWriter&nbsp;out,
           java.io.BufferedReader&nbsp;source)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#writeOffsetByte(int,%20java.lang.StringBuilder,%20java.io.BufferedWriter,%20java.io.FileInputStream)">writeOffsetByte</a></strong>(int&nbsp;length,
               java.lang.StringBuilder&nbsp;doc,
               java.io.BufferedWriter&nbsp;out,
               java.io.FileInputStream&nbsp;source)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#writeToken(int,%20java.lang.StringBuilder,%20java.io.BufferedWriter,%20java.io.BufferedReader,%20java.lang.String)">writeToken</a></strong>(int&nbsp;length,
          java.lang.StringBuilder&nbsp;doc,
          java.io.BufferedWriter&nbsp;out,
          java.io.BufferedReader&nbsp;source,
          java.lang.String&nbsp;tokenId)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#writeTokenByte(int,%20java.lang.StringBuilder,%20java.io.BufferedWriter,%20java.io.FileInputStream,%20java.lang.String)">writeTokenByte</a></strong>(int&nbsp;length,
              java.lang.StringBuilder&nbsp;doc,
              java.io.BufferedWriter&nbsp;out,
              java.io.FileInputStream&nbsp;source,
              java.lang.String&nbsp;tokenId)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="dbObject">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dbObject</h4>
<pre>public&nbsp;com.mongodb.BasicDBObject dbObject</pre>
<div class="block">The reflection of the mongo db object document</div>
</li>
</ul>
<a name="sentencesLog">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sentencesLog</h4>
<pre>private&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.SentenceInfo.html" title="class in fr.inria.alpage.frmgcm.corpus">Document.SentenceInfo</a>[] sentencesLog</pre>
<div class="block">The sentences info result of the default syntactic analysis process</div>
</li>
</ul>
<a name="processedFilename">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>processedFilename</h4>
<pre>private&nbsp;java.lang.String processedFilename</pre>
<div class="block">The normalized name of the file source</div>
</li>
</ul>
<a name="filerelativepath">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>filerelativepath</h4>
<pre>private&nbsp;java.lang.String filerelativepath</pre>
<div class="block">The relative file path of the document within the valid converted document folder of the corpus</div>
</li>
</ul>
<a name="docRevision">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>docRevision</h4>
<pre>private&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.DocumentRevision.html" title="class in fr.inria.alpage.frmgcm.corpus">Document.DocumentRevision</a> docRevision</pre>
<div class="block">The associated <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.DocumentRevision.html" title="class in fr.inria.alpage.frmgcm.corpus"><code>Document.DocumentRevision</code></a> that contain information about change made to the sentences of this document</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Document()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Document</h4>
<pre>public&nbsp;Document()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getProcessedFilename()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProcessedFilename</h4>
<pre>public&nbsp;java.lang.String&nbsp;getProcessedFilename()</pre>
</li>
</ul>
<a name="getFilerelativepath()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFilerelativepath</h4>
<pre>public&nbsp;java.lang.String&nbsp;getFilerelativepath()</pre>
</li>
</ul>
<a name="getId()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getId</h4>
<pre>public&nbsp;java.lang.String&nbsp;getId()</pre>
<div class="block">Retrieve the mongo id of this document</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the mondo id</dd></dl>
</li>
</ul>
<a name="getCorpusOwner()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCorpusOwner</h4>
<pre>public&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a>&nbsp;getCorpusOwner()</pre>
<div class="block">Get the mongo id of the corpus that own this document</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the mongo id of a corpus</dd></dl>
</li>
</ul>
<a name="CreateNew(java.lang.String, java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CreateNew</h4>
<pre>public static&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a>&nbsp;CreateNew(java.lang.String&nbsp;filename,
                 java.lang.String&nbsp;path,
                 java.lang.String&nbsp;cid)</pre>
<div class="block">Factory, create a document object from a file source, the base root of the corpus files and the mongo id of the corpus, and save it in mongo db</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>filename</code> - the filepath of the file source that the document will reflect</dd><dd><code>path</code> - the path of the base root of the corpus containing this document</dd><dd><code>cid</code> - the mongo id of the corpus</dd>
<dt><span class="strong">Returns:</span></dt><dd>the newly created <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus"><code>Document</code></a></dd></dl>
</li>
</ul>
<a name="Retrieve(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Retrieve</h4>
<pre>public static&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a>&nbsp;Retrieve(java.lang.String&nbsp;id)</pre>
<div class="block">Retrieve a document from its id</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>id</code> - the mongo id of the document</dd>
<dt><span class="strong">Returns:</span></dt><dd>the <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus"><code>Document</code></a> corresponding to the id or null if not found</dd></dl>
</li>
</ul>
<a name="save()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>save</h4>
<pre>public&nbsp;void&nbsp;save()</pre>
<div class="block">Save modification made to the document in db</div>
</li>
</ul>
<a name="getSentencesCount()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSentencesCount</h4>
<pre>private&nbsp;int&nbsp;getSentencesCount()
                       throws java.io.IOException</pre>
<div class="block">Retrieve the number of sentences within this document</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the number of sentences contained in this document</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="getSentencesLog()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSentencesLog</h4>
<pre>public&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.SentenceInfo.html" title="class in fr.inria.alpage.frmgcm.corpus">Document.SentenceInfo</a>[]&nbsp;getSentencesLog()
                                        throws java.io.IOException</pre>
<div class="block">Retrieve the status list of parsed sentences</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the list of status of parsed sentences</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="createSentenceInfo(java.lang.String, int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createSentenceInfo</h4>
<pre>private&nbsp;int&nbsp;createSentenceInfo(java.lang.String&nbsp;line,
                     int&nbsp;status)</pre>
<div class="block">Create a sentence summary info</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>line</code> - the line of the log currently read</dd><dd><code>status</code> - the status of the sentence (robust, failed or success)</dd>
<dt><span class="strong">Returns:</span></dt><dd>the sid of the sentence</dd></dl>
</li>
</ul>
<a name="getSID(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSID</h4>
<pre>private&nbsp;int&nbsp;getSID(java.lang.String&nbsp;line)</pre>
<div class="block">Retrieve the sid of a sentence when parsing an info.txt result file line</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>line</code> - a line of the file info.txt generated by the syntactic parsing process</dd>
<dt><span class="strong">Returns:</span></dt><dd>the sid of the sentence</dd></dl>
</li>
</ul>
<a name="getDagAlignFilepath(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDagAlignFilepath</h4>
<pre>private&nbsp;java.lang.String&nbsp;getDagAlignFilepath(java.lang.String&nbsp;filename)</pre>
<div class="block">Get the dag file corresponding to the document file source</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>filename</code> - the file source path of this document</dd>
<dt><span class="strong">Returns:</span></dt><dd>the file path of the dag file constructed from the document source file</dd></dl>
</li>
</ul>
<a name="getSentence(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSentence</h4>
<pre>public&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">AbstractGraph</a>&nbsp;getSentence(java.lang.String&nbsp;gid)</pre>
<div class="block">Retrieve a formatted graph from a graph(sentence) id</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>gid</code> - the sentence id to retrieve the graph from</dd>
<dt><span class="strong">Returns:</span></dt><dd>the formatted graph object</dd></dl>
</li>
</ul>
<a name="getSentence(java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSentence</h4>
<pre>public&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">AbstractGraph</a>&nbsp;getSentence(java.lang.String&nbsp;gid,
                        java.lang.String&nbsp;vid)</pre>
<div class="block">Retrieve a formatted graph from a sentence id and revision number</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>gid</code> - the sentence id to retrieve the graph from</dd><dd><code>vid</code> - the version/revision number of the graph</dd>
<dt><span class="strong">Returns:</span></dt><dd>the formatted graph object</dd></dl>
</li>
</ul>
<a name="getGraphFragment(java.lang.String, java.lang.String, com.mongodb.BasicDBList)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGraphFragment</h4>
<pre>public&nbsp;java.lang.String&nbsp;getGraphFragment(java.lang.String&nbsp;ts,
                                java.lang.String&nbsp;te,
                                com.mongodb.BasicDBList&nbsp;slist)
                                  throws java.io.IOException</pre>
<div class="block">Get a graph fragment (currently only works for conll and depconll formats!)</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>ts</code> - the token id at the beginning of the fragment</dd><dd><code>te</code> - the token id at the end of the fragment</dd><dd><code>slist</code> - the list of spanned sentence within this fragment</dd>
<dt><span class="strong">Returns:</span></dt><dd>the data representing the graph fragment selected</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="getAnnotatedDoc()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAnnotatedDoc</h4>
<pre>public&nbsp;java.lang.String&nbsp;getAnnotatedDoc()</pre>
<div class="block">Get the annotated document (the html containing the original text aligned with sentences parses)</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the annotated html document string</dd></dl>
</li>
</ul>
<a name="getAnnotatedDocByte()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAnnotatedDocByte</h4>
<pre>public&nbsp;java.lang.String&nbsp;getAnnotatedDocByte()</pre>
<div class="block">(Obsolete) Get the annotated document (the html containing the original text aligned with sentences parses)</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the annotated html document string</dd></dl>
</li>
</ul>
<a name="writeOffset(int, java.lang.StringBuilder, java.io.BufferedWriter, java.io.BufferedReader)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>writeOffset</h4>
<pre>private&nbsp;int&nbsp;writeOffset(int&nbsp;length,
              java.lang.StringBuilder&nbsp;doc,
              java.io.BufferedWriter&nbsp;out,
              java.io.BufferedReader&nbsp;source)
                 throws java.io.IOException</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="writeOffsetByte(int, java.lang.StringBuilder, java.io.BufferedWriter, java.io.FileInputStream)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>writeOffsetByte</h4>
<pre>private&nbsp;int&nbsp;writeOffsetByte(int&nbsp;length,
                  java.lang.StringBuilder&nbsp;doc,
                  java.io.BufferedWriter&nbsp;out,
                  java.io.FileInputStream&nbsp;source)
                     throws java.io.IOException</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="writeToken(int, java.lang.StringBuilder, java.io.BufferedWriter, java.io.BufferedReader, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>writeToken</h4>
<pre>private&nbsp;int&nbsp;writeToken(int&nbsp;length,
             java.lang.StringBuilder&nbsp;doc,
             java.io.BufferedWriter&nbsp;out,
             java.io.BufferedReader&nbsp;source,
             java.lang.String&nbsp;tokenId)
                throws java.io.IOException</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="writeTokenByte(int, java.lang.StringBuilder, java.io.BufferedWriter, java.io.FileInputStream, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>writeTokenByte</h4>
<pre>private&nbsp;int&nbsp;writeTokenByte(int&nbsp;length,
                 java.lang.StringBuilder&nbsp;doc,
                 java.io.BufferedWriter&nbsp;out,
                 java.io.FileInputStream&nbsp;source,
                 java.lang.String&nbsp;tokenId)
                    throws java.io.IOException</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="deleteIndex()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteIndex</h4>
<pre>public&nbsp;void&nbsp;deleteIndex()</pre>
<div class="block">Delete from the elasticsearch index the sentences of this document</div>
</li>
</ul>
<a name="indexSentences()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>indexSentences</h4>
<pre>public&nbsp;void&nbsp;indexSentences()
                    throws java.lang.Exception</pre>
<div class="block">Index the sentences of this document</div>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd></dl>
</li>
</ul>
<a name="getGraphFileInfo(java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGraphFileInfo</h4>
<pre>public&nbsp;java.lang.Object[]&nbsp;getGraphFileInfo(java.lang.String&nbsp;sid,
                                  java.lang.String&nbsp;vid)</pre>
<div class="block">Retrieve information about a graph</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>sid</code> - the id of the sentence</dd><dd><code>vid</code> - the version of the graph</dd>
<dt><span class="strong">Returns:</span></dt><dd>an array containing 0 the filepath of the graph 1 the id of the graph 2 the format of the graph 3 the revision number of the graph 4 the last revision number of the graph 5 the basefilename (without revision number) of the graph</dd></dl>
</li>
</ul>
<a name="getGraphFileInfo(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGraphFileInfo</h4>
<pre>public&nbsp;java.lang.Object[]&nbsp;getGraphFileInfo(java.lang.String&nbsp;sid)</pre>
<div class="block">Retrieve information about a graph</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>sid</code> - the id of the sentence</dd>
<dt><span class="strong">Returns:</span></dt><dd>an array containing 0 the filepath of the graph 1 the id of the graph 2 the format of the graph 3 the revision number of the graph 4 the last revision number of the graph 5 the basefilename (without revision number) of the graph</dd></dl>
</li>
</ul>
<a name="saveRevision(java.lang.String, java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>saveRevision</h4>
<pre>public&nbsp;boolean&nbsp;saveRevision(java.lang.String&nbsp;title,
                   java.lang.String&nbsp;description,
                   java.lang.String&nbsp;user)</pre>
<div class="block">Manual creation of a document revision by the user (every graph modification create an automatic revision)</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>title</code> - the title of the revision</dd><dd><code>user</code> - the user that created the revision</dd>
<dt><span class="strong">Returns:</span></dt><dd>a boolean indicating if the revision were successfuly created</dd></dl>
</li>
</ul>
<a name="updateSentence(java.lang.String, java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateSentence</h4>
<pre>public&nbsp;boolean&nbsp;updateSentence(java.lang.String&nbsp;sid,
                     java.lang.String&nbsp;data,
                     java.lang.String&nbsp;user_name)</pre>
<div class="block">Update a graph with new data</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>sid</code> - the id of the sentence to update</dd><dd><code>data</code> - the new data</dd><dd><code>user_name</code> - the name of the user that made the change</dd>
<dt><span class="strong">Returns:</span></dt><dd>a boolean indicating if the update process went well</dd></dl>
</li>
</ul>
<a name="getRevisions()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRevisions</h4>
<pre>public&nbsp;com.mongodb.BasicDBList&nbsp;getRevisions()</pre>
<div class="block">Retrieve the ordered list of this document revisions (from most recent to oldest)</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the ordered list of this document revisions</dd></dl>
</li>
</ul>
<a name="delete()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>delete</h4>
<pre>public&nbsp;void&nbsp;delete()</pre>
<div class="block">delete this document alongside with revisions and elasticsearch index</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Document.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.OARSubParams.html" title="class in fr.inria.alpage.frmgcm.corpus"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.DocumentRevision.html" title="class in fr.inria.alpage.frmgcm.corpus"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/corpus/Document.html" target="_top">Frames</a></li>
<li><a href="Document.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_class_summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
